--- openvswitch-2.4.0/debian/openvswitch-switch.README.Debian	2015-08-22 18:26:22.381124884 +0000
+++ openvswitch-2.4.0/debian/openvswitch-switch.README.Debian.new	2015-08-22 18:44:37.717142304 +0000
@@ -1,44 +1,5 @@
-README.Debian for openvswitch-switch
----------------------------------
-
-To use the Linux kernel-based switch implementation, you will need an
-Open vSwitch kernel module.  There are multiple ways to obtain one.
-In order of increasing manual effort, these are:
-
-       * Use a Linux kernel 3.3 or later, which has an integrated Open
-	 vSwitch kernel module.
-
-	 The upstream Linux kernel module lacks a few features that
-	 are in the third-party module.  For details, please see the
-	 FAQ, "What features are not available in the Open vSwitch
-	 kernel datapath that ships as part of the upstream Linux
-	 kernel?".
-
-       * Install the "openvswitch-datapath-dkms" Debian package that
-	 you built earlier.  This should automatically build and
-	 install the Open vSwitch kernel module for your running
-	 kernel.
-
-	 This option requires that you have a compiler and toolchain
-	 installed on the machine where you run Open vSwitch, which
-	 may be unacceptable in some production server environments.
-
-       * Install the "openvswitch-datapath-source" Debian package, use
-	 "module-assistant" to build a Debian package of the Open
-	 vSwitch kernel module for your kernel, and then install that
-	 Debian package.
-
-	 You can install the kernel module Debian packages that you
-	 build this way on the same machine where you built it or on
-	 another machine or machines, which means that you don't
-	 necessarily have to have any build infrastructure on the
-	 machines where you use the kernel module.
-
-	 /usr/share/doc/openvswitch-datapath-source/README.Debian has
-	 details on the build process.
-
-       * Build and install the kernel module by hand.
-
+README.Alpine for Openvswitch
+-----------------------------
 
 Debian network scripts integration
 ----------------------------------
@@ -202,8 +163,8 @@ iface gre1 inet manual
 
 ex 8: Create and destroy bridges.
 
-ifup --allow=ovs $list_of_bridges
-ifdown --allow=ovs $list_of_bridges
+ifup $list_of_bridges
+ifdown $list_of_bridges
 
 Notes on dependencies:
 ---------------------
@@ -231,3 +192,12 @@ in the 'auto' section, openvswitch-switc
 ifupdown kicks in. In a case like this, the admin needs to make sure that /usr
 has already been mounted and that a remote $syslog (if used) is ready to
 receive openvswitch logs.
+
+Notes on LXC / ifupdown integration:
+------------------------------------
+
+LXC has partial support for ovs (ports are added but not fully removed)
+https://github.com/lxc/lxc/issues/590
+
+See 'ovsup' & 'ovsdown' https://github.com/itoffshore/lxc-scripts
+these scripts allow networking to be restarted & containers do not lose
+connectivity.
